Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexBuilderBase

    java.lang.Object
      com.hp.hpl.jena.query.larq.IndexBuilderBase

All Implemented Interfaces:
  IndexBuilder

Direct Known Subclasses:
  IndexBuilderExt

    public class IndexBuilderBase

extends java.lang.Object
implements IndexBuilder

Root class for index creation.

Author:
  Andy Seaborne

Constructor Summary
`IndexBuilderBase()` Create an in-memory index
`IndexBuilderBase(java.io.File fileDir)` Create an on-disk index
`IndexBuilderBase(org.apache.lucene.index.IndexWriter existingWriter)` Manage a Lucene index that has already been created
`IndexBuilderBase(java.lang.String fileDir)` Create an on-disk index

Method Summary
`void` | `closeForWriting()` Deprecated. Use `closeWriter()` to really release the index or `flushWriter()` to optimize it but leave it open for writing. The writer index is no longer close by this call.
`void` | `closeForWriting(boolean optimize)` Deprecated. Use `closeWriter()` to really release the index or `flushWriter()` to optimize it but leave it open for writing.
`void` | `closeWriter()` Close the writing index permanently.
`void` | `closeWriter(boolean optimize)` Close the writing index permanently.
`void` | `flushWriter()`
`IndexLARQ` | `getIndex()` Get a search index used by LARQ.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexBuilderBase

    public IndexBuilderBase()

  Create an in-memory index

### IndexBuilderBase

    public IndexBuilderBase(org.apache.lucene.index.IndexWriter existingWriter)

  Manage a Lucene index that has already been created

### IndexBuilderBase

    public IndexBuilderBase(java.io.File fileDir)

  Create an on-disk index

### IndexBuilderBase

    public IndexBuilderBase(java.lang.String fileDir)

  Create an on-disk index

Method Detail

### closeWriter

    public void closeWriter()

  Close the writing index permanently. Optimizes the index.

### closeWriter

    public void closeWriter(boolean optimize)

  Close the writing index permanently.

  Parameters:
    `optimize` - Run Lucene optimize on the index before closing.

### flushWriter

    public void flushWriter()

### closeForWriting

    public void closeForWriting()

  Deprecated. Use `closeWriter()` to really release the index or `flushWriter()` to optimize it but leave it open for writing. The writer index is no longer close by this call.

  Finish indexing (optimizes the index)

  Specified by:
    `closeForWriting` in interface `IndexBuilder`

### closeForWriting

    public void closeForWriting(boolean optimize)

  Deprecated. Use `closeWriter()` to really release the index or `flushWriter()` to optimize it but leave it open for writing.

  Finish indexing, optionally optimizing the index

  Parameters:
    `optimize` -

### getIndex

    public IndexLARQ getIndex()

  Get a search index used by LARQ.

  Specified by:
    `getIndex` in interface `IndexBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP